package com.care.outcall.mapper;


import com.care.outcall.entity.Bill;
import com.care.outcall.entity.KoalaLogDomain;
import com.care.outcall.entity.KoalaTaskDto;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author 许明
 * @version 2.7.0.0 创建于 2018/7/16
 **/
@Repository
public interface KoalaLoggerDao {

    List<KoalaLogDomain> getAllBillInfo();

    int checkSession(@Param("sessionId") String sessionId);

    int addBill(Bill bill);


    int updatePhoneBillBySessionIdNew(Bill params);

    void updateComputeTraffic(List<Map<String, String>> logList);

    void updateMakeCallStatus(List<String> ids);

    void updateIsCallStatusByTaskId(@Param("taskId") String taskId, @Param("flowNo") String flowNo);

    void updateComputeTrafficToFinish();

    List<KoalaTaskDto> getTaskInfoBySessionId(@Param("sessionId") String sessionId);



}
